Subject: bug#38603: closed (Re: bug#38603: [WIP Mercury 0/2] Add Mercury.)

From: [email-masked] (GNU bug Tracking System)
Date: Tue, 12 Apr 2022 10:37:02 +0000

Your bug report

#38603: [WIP Mercury 0/2] Add Mercury.

which was filed against the guix-patches package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
38603: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=38603
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#38603: [WIP Mercury 0/2] Add Mercury.
From: zimoun <[email-masked]>
To: Brett Gilio <[email-masked]>
Cc: [email-masked]
Date: Tue, 12 Apr 2022 12:30:32 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi,

On Mon, 06 Jan 2020 at 17:57, Brett Gilio <[email-masked]> wrote:

[...]

> +(define-public mercury
> +  (package
> +    (name "mercury")
> +    (version "14.01.1")
> +    (source (origin
> +              (method url-fetch)
> +              (uri (string-append
> +                    "https://dl.mercurylang.org/release/mercury-srcdist-"
> +                    version ".tar.gz"))

--8<---------------cut here---------------start------------->8---
8b928a3931cafddb291152bc259b634ab3ab441b
Author:     Brett Gilio <[email-masked]>
AuthorDate: Wed Nov 25 16:40:29 2020 -0600
Commit:     Brett Gilio <[email-masked]>
CommitDate: Wed Nov 25 16:40:29 2020 -0600

gnu: mercury: Update to 20.06.1.

* gnu/packages/mercury.scm (mercury): Update to 20.06.1.
--8<---------------cut here---------------end--------------->8---

Closing!

Cheers,
simon

Subject: [WIP Mercury 0/2] Add Mercury.
From: Brett Gilio <[email-masked]>
To: [email-masked]
Date: Fri, 13 Dec 2019 21:29:33 -0600
List-Id: <debbugs-submit.debbugs.gnu.org>

>From a6abc5a2d05cba65c652f5834e768ee8cecde5f8 Mon Sep 17 00:00:00 2001
From: Brett Gilio <[email-masked]>
Date: Fri, 13 Dec 2019 21:27:49 -0600
Subject: [WIP Mercury 0/2] Add Mercury.

This is an incomplete patch series for adding Mercury to GNU Guix.

I wanted to put it out there now so other people can work on it and I can
keep track of the progress I make on it.

Please send revisions by rerolling n+1.

Brett Gilio (2):
  gnu: Register mercury module.
  gnu: Add mercury.

 gnu/local.mk             |   1 +
 gnu/packages/mercury.scm | 142 +++++++++++++++++++++++++++++++++++++++
 2 files changed, 143 insertions(+)
 create mode 100644 gnu/packages/mercury.scm

-- 
2.24.1